// WKey.h: interface for the WKey class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WKEY_H__AB2BE4C1_9A6A_11D3_8104_005004D580FD__INCLUDED_)
#define AFX_WKEY_H__AB2BE4C1_9A6A_11D3_8104_005004D580FD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <windows.h>
#include <tchar.h>
#include <crtdbg.h>		// MSCRT Debug Support (_ASSERT macro)



class WKey  
{
private:
	CHAR m_chKey;
	UINT m_nScanCode;
public:
	WKey(CHAR chKey=0, UINT nScanCode=0);
	WKey(const WKey& src) 
	{
		m_chKey		= src.m_chKey;
		m_nScanCode = src.m_nScanCode;
	}

	virtual ~WKey();

	CHAR GetChar()						{ return m_chKey;				}
	UINT GetScanCode()					{ return m_nScanCode;			}
	VOID SetChar(CHAR chKey)			{ m_chKey		= chKey;		}
	VOID SetScanCode(UINT nScanCode)	{ m_nScanCode	= nScanCode;	}

	operator CHAR() 
	{
		return (CHAR) GetChar();
	}

	operator BYTE() 
	{
		return (BYTE) GetChar();
	}

	WKey& operator =( const WKey& src )
	{
		m_chKey		= src.m_chKey;
		m_nScanCode = src.m_nScanCode;
		return *this;
	}


};

#endif // !defined(AFX_WKEY_H__AB2BE4C1_9A6A_11D3_8104_005004D580FD__INCLUDED_)
