// WConsoleTestHarness.h: interface for the WConsoleTestHarness class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WCONSOLETESTHARNESS_H__5060F4D4_9B41_11D3_8104_005004D580FD__INCLUDED_)
#define AFX_WCONSOLETESTHARNESS_H__5060F4D4_9B41_11D3_8104_005004D580FD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//
// Used for console mode testing
//
#include <stdio.h>
#include <conio.h>
#include <time.h>

//
// Other things that we use
//
#include <windows.h>
#include <tchar.h>
#include <crtdbg.h>		// MSCRT Debug Support (_ASSERT macro)

//
// WConsole's classes
//
#include "WColorAttribute.h"
#include "WKey.h"
#include "WPoint.h"
#include "WRect.h"
#include "WWindow.h"


enum
{
	TEST_SCROLL			,
	TEST_PERFORMANCE
};


class WConsoleTestHarness  
{
public:
	WConsoleTestHarness();
	virtual ~WConsoleTestHarness();

	VOID Run(UINT32 nTestNumber);
	VOID About();
	VOID Menu();
};

#endif // !defined(AFX_WCONSOLETESTHARNESS_H__5060F4D4_9B41_11D3_8104_005004D580FD__INCLUDED_)
